"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const generateByApi_1 = __importDefault(require("./generateByApi"));
const generateByPage_1 = __importDefault(require("./generateByPage"));
const cheerio_1 = __importDefault(require("cheerio"));
const node_fetch_1 = __importDefault(require("node-fetch"));
const headers_1 = require("./headers");
const main = ({ csdn, output, cookie }) => __awaiter(this, void 0, void 0, function* () {
    const article = [];
    for (let i = 0; true; i++) {
        const res = yield node_fetch_1.default(`${csdn}/article/list/${i}`, {
            headers: headers_1.headers,
        });
        const html = yield res.text();
        const $ = cheerio_1.default.load(html);
        const list = $(".article-item-box");
        if (list && list.length > 0) {
            $(".article-item-box").each(function () {
                // 获取当页文章连接id
                const idResult = $("a", this)
                    .attr("href")
                    .match(/(\d{1,})$/);
                if (idResult) {
                    article.push({
                        id: idResult[0],
                        time: $(".date", this).text().trim(),
                    });
                }
            });
        }
        else {
            break;
        }
    }
    console.log("正在生成文件....");
    const p = article.map(({ id, time }) => {
        if (cookie) {
            return generateByApi_1.default({
                id,
                time,
                output,
                cookie,
                csdn,
            });
        }
        else {
            return generateByPage_1.default({
                id,
                time,
                output,
                csdn,
            });
        }
    });
    yield Promise.all(p);
    console.log("生成完成.....");
});
exports.default = main;
//# sourceMappingURL=main.js.map